Bug 835028 - Review Request: perl-pod2pdf - Converts Pod to PDF format
Review Request: perl-pod2pdf - Converts Pod to PDF format
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 834991
Blocks: 835062
  Show dependency treegraph
 
Reported: 2012-06-25 06:07 EDT by Jitka Plesnikova
Modified: 2012-06-27 09:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 09:27:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2012-06-25 06:07:50 EDT
Spec URL: http://jplesnik.fedorapeople.org/perl-pod2pdf/perl-pod2pdf.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-pod2pdf/perl-pod2pdf-0.42-1.fc18.src.rpm
Description:
pod2pdf converts documents written in Perl's POD (Plain Old Documentation)
format to PDF files.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Jørn Lomax 2012-06-25 08:16:58 EDT
As i'n not licensed to give formal reviews, i can only give an informal one:

rpmlint comes out clean for both SRPM and SPEC:
>[makerpm@Fafnir REVIEW]$ rpmlint perl-pod2pdf-0.42-1.fc18.src.rpm 
>1 packages and 0 specfiles checked; 0 errors, 0 warnings.
>[makerpm@Fafnir REVIEW]$ rpmlint perl-pod2pdf.spec
>0 packages and 1 specfiles checked; 0 errors, 0 warnings.

The package does not build, giving the following error:
>ERROR: Command failed: 
> # ['/usr/bin/yum-builddep', '--installroot', '/var/lib/mock/fedora-rawhide->i386/root/', '/var/lib/mock/fedora-rawhide->i386/root///builddir/build/SRPMS/perl-pod2pdf-0.42-1.fc18.src.rpm']
>Getting requirements for perl-pod2pdf-0.42-1.fc18.src
> --> perl-ExtUtils-MakeMaker-6.62-2.fc17.noarch
> --> Already installed : perl-Carp-1.26-1.fc18.noarch
> --> Already installed : 4:perl-5.14.2-217.fc18.i686
> --> Already installed : perl-PathTools-3.33-217.fc18.i686
> --> perl-File-Type-0.22-14.fc17.noarch
> --> perl-Getopt-ArgvFile-1.11-9.fc17.noarch
> --> Already installed : 4:perl-5.14.2-217.fc18.i686
> --> perl-Image-Size-3.2-8.fc17.noarch
>Error: No Package found for perl(Paper::Specs) >= 0.10

>Build failed rc = 30 

The full review text can be found here: http://jvlomax.fedorapeople.org/review/perl-pod2pdf-review.txt
Comment 2 Petr Šabata 2012-06-25 09:53:51 EDT
(In reply to comment #1)
> >Error: No Package found for perl(Paper::Specs) >= 0.10

This bug depends on perl-Paper-Specs review, #834991.
Comment 3 Jørn Lomax 2012-06-26 07:46:20 EDT
And this is the reason i'm still doing informal reviews. Rookie mistake.
Here is the full review report now that i have built and installed the depend:

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[ ]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint perl-Paper-Specs-0.10-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint perl-Paper-Specs-0.10-1.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/makerpm/rpmbuild/REVIEW/835028/pod2pdf-0.42.tar.gz :
  MD5SUM this package     : 8338b8a9ee16eedc295045af300801d9
  MD5SUM upstream package : 8338b8a9ee16eedc295045af300801d9

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


Generated by fedora-review 0.1.3
External plugins:

Everything seems ok here :)
Comment 4 Petr Šabata 2012-06-27 06:05:45 EDT
(In reply to comment #3)
> And this is the reason i'm still doing informal reviews. Rookie mistake.

We all do them :)

Anyhow, the package seems alright except for one detail:

TODO: ./bin/pod2pdf is not tested, therefore you don't have to buildrequire its dependencies -- perl(Getopt::ArgvFile), perl(Getopt::Long), and perl(File::Spec::Functions).

This is not blocking, however.
Approving.
Comment 5 Jitka Plesnikova 2012-06-27 06:33:14 EDT
New Package SCM Request
=======================
Package Name: perl-pod2pdf
Short Description: Converts Pod to PDF format
Owners: jplesnik mmaslano ppisar psabata
Branches:
InitialCC: perl-sig
Comment 6 Gwyn Ciesla 2012-06-27 08:47:34 EDT
Git done (by process-git-requests).
Comment 7 Jitka Plesnikova 2012-06-27 09:27:12 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.